/*
 * Class WEL_CDRF_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_7 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_7 [] = {0xFF01,1551,6,0xFFFF};
static const EIF_TYPE_INDEX egt_2_7 [] = {0xFF01,6,0xFFFF};
static const EIF_TYPE_INDEX egt_3_7 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_7 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_7 [] = {0xFF01,6,0xFFFF};
static const EIF_TYPE_INDEX egt_6_7 [] = {0xFF01,6,0xFFFF};
static const EIF_TYPE_INDEX egt_7_7 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_7 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_7 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_7 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_7 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_7 [] = {0xFF01,6,0xFFFF};


static const struct desc_info desc_7[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_7), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_7), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_7), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_7), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_7), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_7), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_7), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_7), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_7), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_7), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_7), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_7), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0D /*6*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_7), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 77, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 78, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 79, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 80, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 81, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 82, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 83, 0xFFFFFFFF},
};
void Init7(void)
{
	IDSC(desc_7, 0, 6);
	IDSC(desc_7 + 1, 1, 6);
	IDSC(desc_7 + 32, 1591, 6);
}


#ifdef __cplusplus
}
#endif
